%define major 0
%define libname %mklibname pwdb %{major}
%define devname %mklibname pwdb -d
%define sdevname %mklibname pwdb -d -s

Summary:	The password database library
Name:		pwdb
Version:	0.62
Release:	25
License:	GPLv2+
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.62-includes.patch
Patch1:		pwdb-0.62-makefile.patch
BuildRequires:	pkgconfig(libtirpc)

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

#----------------------------------------------------------------------------

%package conf
Summary:	The password database library config
Group:		System/Base

%description conf
Configuration package for the libpwdb, the password database library.

%files conf
%doc Copyright doc/pwdb.txt doc/html
%config(noreplace) %{_sysconfdir}/pwdb.conf

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The password database library
Group:		System/Libraries
Requires:	%{name}-conf
%rename		pwdb

%description -n %{libname}
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%files -n %{libname}
/%{_lib}/libpwdb.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The pwdb include files and link library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	pwdb-devel = %{EVRD}
Conflicts:	%{_lib}pwdb0-devel < 0.62-25
Obsoletes:	%{_lib}pwdb0-devel < 0.62-25

%description -n %{devname}
The development header / link library for pwdb.

%files -n %{devname}
/%{_lib}/libpwdb.so
%{_includedir}/pwdb

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	The pwdb static library
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Conflicts:	%{_lib}pwdb0-static-devel < 0.62-25
Obsoletes:	%{_lib}pwdb0-static-devel < 0.62-25

%description -n %{sdevname}
The pwdb static library.

%files -n %{sdevname}
/%{_lib}/libpwdb.a

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .

%build
%setup_compile_flags
%make

%install
mkdir -p %{buildroot}/{%{_lib},%{_sysconfdir},%{_includedir}/pwdb}
make \
	INCLUDED=%{buildroot}%{_includedir}/pwdb \
	LIBDIR=%{buildroot}/%{_lib} \
	LDCONFIG=":" \
	install

install conf/pwdb.conf %{buildroot}%{_sysconfdir}/pwdb.conf

ln -sf lib%{name}.so.%{version} %{buildroot}/%{_lib}/lib%{name}.so.%{major}


%changelog
* Sat Jul 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.62-25
+ Revision: 037d8fb
- Properly name packages, fix build with tirpc


